Warning Messages in QtCreator

667
4
Jump to solution
03-05-2019 10:52 PM
RonnieMa1
New Contributor III

Hello,

I've been testing out creating my apps with QtCreator. What I've done is to create from a template in AppStudio (WebViewer 3.2) and tries to change the code. However, I'm met with the following message when examining a QML file:

When I switch the Design mode in QtCreator, the following error message is shown:

This issue is interesting, as I can do Local Make and Cloud Make properly (apps function properly as well). Should I simply ignore the errors? Also, do people get to use Design mode in QtCreator? I've only got through few tutorial videos related to ArcGIS Runtime for Qt and seems like not many people do use Design mode.

Configuration / Environment:

Qt 5.11.2

NDK r10e

qt-installer-framework-opensource-src-3.0.2

Thanks,

Ronnie

0 Kudos
1 Solution

Accepted Solutions
StephenQuan1
Esri Contributor

Hi Ronnie,

It appears that you have AppStudio 3.2 and Qt5.11.2 installed.

Note that there are two copies of Qt Creator, i.e. one we ship with AppStudio and the one you get with Qt5.11.2.

From reading your issue, it appears that your are having an issue with the Qt Creator that's shipped with Qt5.11.2.

Firstly, let me comment on your Qt5.11.2 installation. It isn't a requirement to install Qt5.11.2 to use AppStudio. This is because we don't ask AppStudio users to install a full development environment on their PC. i.e. If you're seeking to use AppStudio and Cloud Make only to use your apps, then, you don't really need to install Qt5.11.2. You can be fully productive making, managing your apps in AppStudio and leveraging from our Cloud Make infrastructure to have your app built for any platform you need it on.

If you wish to make use of Local Make, then, you're intending to install all the development tools on your PC. i.e. Qt5.11.2, Microsoft Visual Studio, Android SDK, Android NDK, Qt Installer Framework, etc. Inside the %USERPROFILE%\Applications\ArcGIS\AppStudio\sde\ideintegration folder there's a post-install.bat script. You'll need to run this script to complete the AppStudio installation with your development tools. This will let the Qt Creator that's shipped with Qt5.11.2 to recognize the components from AppStudio.

Stephen

View solution in original post

4 Replies
AMathur
Esri Contributor

Hi Ronnie,

 

It appears from your screenshots that you have the Qt SDK for Android setup in Qt Creator.

These warning messages should get resolved if you install the Qt SDK for Windows. We have some documentation here that will guide you through the installation and setup.

 

Hope this is helpful.

 

Thanks,

Anshuman

RonnieMa1
New Contributor III

Yes, this did solve part of the problem. Thank you again Anshuman!

Ronnie

0 Kudos
StephenQuan1
Esri Contributor

Hi Ronnie,

It appears that you have AppStudio 3.2 and Qt5.11.2 installed.

Note that there are two copies of Qt Creator, i.e. one we ship with AppStudio and the one you get with Qt5.11.2.

From reading your issue, it appears that your are having an issue with the Qt Creator that's shipped with Qt5.11.2.

Firstly, let me comment on your Qt5.11.2 installation. It isn't a requirement to install Qt5.11.2 to use AppStudio. This is because we don't ask AppStudio users to install a full development environment on their PC. i.e. If you're seeking to use AppStudio and Cloud Make only to use your apps, then, you don't really need to install Qt5.11.2. You can be fully productive making, managing your apps in AppStudio and leveraging from our Cloud Make infrastructure to have your app built for any platform you need it on.

If you wish to make use of Local Make, then, you're intending to install all the development tools on your PC. i.e. Qt5.11.2, Microsoft Visual Studio, Android SDK, Android NDK, Qt Installer Framework, etc. Inside the %USERPROFILE%\Applications\ArcGIS\AppStudio\sde\ideintegration folder there's a post-install.bat script. You'll need to run this script to complete the AppStudio installation with your development tools. This will let the Qt Creator that's shipped with Qt5.11.2 to recognize the components from AppStudio.

Stephen

RonnieMa1
New Contributor III

Stephen,

Thank you for your detailed response and I really do appreciate it. I am creating a local make app and I followed your procedure. After running the post-install.bat script I can now run the files properly without error.

Thanks!

Ronnie

0 Kudos